Bug 141608 - Openswan with compress=yes won't work
Openswan with compress=yes won't work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 09:31 EST by Giovani
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:06:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giovani 2004-12-02 09:31:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Bad: After updating kernel to version kernel-2.6.9-1.6_FC2, openswan 
2.1.5 or above won't work with compress=yes on ipsec.conf. 

Good: With older versions of kernel (2.6.8*) it was working just fine.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.6_FC2

How reproducible:
Always

Steps to Reproduce:
1. Update to kernel-2.6.9-1.6_FC2
2. Bring up tunnel with compress=yes on ipsec.conf
3. Wait for the error    

Actual Results:  Output "errno 22: invalid argument"

Expected Results:  Ipsec Tunnel to be stabilished.

Additional info:
Comment 1 Dave Jones 2005-04-16 02:06:21 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.